package com.dzeio.charts.axis

import android.graphics.RectF
import com.dzeio.charts.Entry

sealed interface XAxisInterface {

    /**
     * set X position
     */
    var x: Double

    /**
     * X increment
     */
    var increment: Double

    /**
     * indicate the max number of entries are displayed
     */
    var displayCount: Int

    /**
     * indicate the number of labels displayed
     */
    var labelCount: Int

    fun getPositionOnRect(entry: Entry, rect: RectF): Double

    fun getXOffset(rect: RectF): Double

    fun getXMax(): Double

    fun getXMin(): Double
}